//priority: 0

onEvent('recipes', e => {

    removeRecipeByOutput(e, [
		MU('destruction_pickaxe'),
		CC("infernal_forge"),
		PRE('dm_pick'),
		PRE('rm_pick'),
    ])



	//unstable
	e.custom({
        input: [
			{ item: KJ('1m_component_wafer') },
			{ item: TC("pickaxe") },
			{ item: KJ('1m_component_wafer') },
			{ item: IF("plastic") },
			{ item: IF("plastic") },
			{ item: SS("red_nether_star") },
			{ item: PREXP("magnum_star_zwei") }, //400.64 mil
			{ item: SS("red_nether_star") }
        ],
        inputFluid: "{FluidName:\"industrialforegoing:latex\",Amount:8000}",
        processingTime: 400,
        output: {
          item: MU("destruction_pickaxe"),
          count: 1
        },
        type: IF("dissolution_chamber")
    }).id(KJ("destruction_pickaxe"))



	//infernal forge
	e.recipes.extendedcrafting.shaped_table(CC('infernal_forge'), pickaxeTemplates.forge, {
		A: PREXP('magnum_star_zwei'), // 400 mil
		B: MU('the_final_opinium_core'),
		C: MU('destruction_pickaxe'),
		D: CC('ignitium_block'),
		E: CC('monstrous_horn'),
	}).id(KJ("infernal_forge"))



	//dm pick
	e.recipes.extendedcrafting.shaped_table(PRE('dm_pick'), pickaxeTemplates.ultimate, {
		A: PREXP('magnum_star_drei'), // 1.6 bil
		B: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:shadow_steel" }),
		C: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:dark_matter" }),
		D: CC('infernal_forge'),
		E: PRE('dark_matter_block'),
		F: KJ('4m_component_wafer'),
		G: Item.of('extendedcrafting:singularity', { Id:"extendedcrafting:antimatter_relay_mk2" }),
	}).id(KJ("dm_pick"))



    //rm pick
    e.custom({
        input: [
			{ item: SS('red_nether_star') },
			{ item: PRE("dm_pick") },
			{ item: SS('red_nether_star') },
			{ item: PRE("red_matter_block") },
			{ item: PRE("red_matter_block") },
			{ item: PREXP("dark_power_flower") },
			{ item: PREXP("magnum_star_drei") }, //1.6 bil
			{ item: PREXP("dark_power_flower") }
        ],
        inputFluid: "{FluidName:\"boss_tools:oil\",Amount:8000}",
        processingTime: 400,
        output: {
          item: PRE("rm_pick"),
          count: 1
        },
        type: IF("dissolution_chamber")
    })
})